package com.docus.server.enums;

import com.docus.infrastructure.core.db.enums.IIntegerEnum;

public enum RetryTaskEnum implements IIntegerEnum {

    NO_RETRY_TASK(0, "不是重试任务"),

    RETRY_TASK(1, "是重试任务");

    private Integer value;
    private String display;

    RetryTaskEnum(Integer value, String display) {
        this.value = value;
        this.display = display;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDisplay() {

        return display;
    }
}
